RBDMAP(8)

NAME
rbdmap - map RBD devices at boot time

SYNOPSIS
rbdmap map
rbdmap unmap

DESCRIPTION

rbdmap is a shell script that can be run manually by the system administrator at any time, or automatically at boot time by the init system (sysvinit, upstart, systemd). The script looks for an environment variable RBDMAPFILE, which defaults to /etc/ceph/rbdmap. This file is expected to contain a list of RBD images and, possibly, parameters to be passed to the underlying rbd command. The syntax of /etc/ceph/rbdmap is described in the comments at the top of that file.

The script mounts devices after mapping, and unmounts them before unmapping.

OPTIONS

None

AVAILABILITY

rbdmap is part of Ceph, a massively scalable, open-source, distributed storage system. Please refer to the Ceph documentation at http://ceph.com/docs for more information.

SEE ALSO

rbd(8),

COPYRIGHT
2010-2014, Inktank Storage, Inc. and contributors. Licensed under Creative Commons BY-SA